#include "CivAssembly.h"

void CivNode::addItem(const NodeTable& table)
{ 
	mTables.push_back(table);
}

void CivPipe::addItem(const PipesTable& table)
{ 
	mTables.push_back(table);
}

void CivTank::addItem(const TankTable& table)
{ 
	mTables.push_back(table);
}

void CivValve::addItem(const ValveTable& table)
{ 
	mTables.push_back(table);
}

void CivPumps::addItem(const PumpTable& table)
{ 
	mTables.push_back(table); 
}

void CivReservoirs::addItem(const ReservoirsTable& table)
{ 
	mTables.push_back(table); 
}

void CivEmitters::addItem(const EmittersTable& table)
{ 
	mTables.push_back(table);
}

void CivCoordinates::addItem(const CoordTable& table)
{ 
	mTables.push_back(table);
}

void CivMixing::addItem(const MixingTable& table)
{ 
	mTables.push_back(table);
}

void CivParameter::addItem(const ParamTable& table)
{ 
	mTables.push_back(table); 
}

void CivPatterns::addItem(const PatternTable& table)
{ 
	mTables.push_back(table);
}

void CivCurves::addItem(const CurvesTable& table)
{ 
	mTables.push_back(table); 
}

void CivDemands::addItem(const DemandsTable& table)
{ 
	mTables.push_back(table); 
}

void CivSources::addItem(const CurvesTable& table)
{ 
	mTables.push_back(table);
}

void CivStatus::addItem(const StatusTable& table)
{ 
	mTables.push_back(table);
}

void CivQuality::addItem(const QualityTable& table)
{ 
	mTables.push_back(table);
}

void CivLabels::addItem(const LabelTable& table)
{ 
	mTables.push_back(table); 
}

void CivTags::addItem(const TagsTable& table)
{ 
	mTables.push_back(table);
}